﻿using Eco.Shared.Localization;

namespace Eco.Mods.TechTree
{
    using System;
    using Eco.Gameplay.Blocks;
    using Eco.Shared.Serialization;
    using Eco.World.Blocks;

    public partial class RampEdgeFormType : FormType
    {
        public override string Name => "RampEdge";
        public override LocString DisplayName => Localizer.DoStr("RampEdge");
        public override LocString DisplayDescription => Localizer.DoStr("RampEdge");
        public override Type GroupType => typeof(RampsFormGroup);
        public override int SortOrder => 37;
        public override int MinTier => 1;
    }

    [RotatedVariants(typeof(MortaredGraniteRampABlock), typeof(MortaredGraniteRampA90Block), typeof(MortaredGraniteRampA180Block), typeof(MortaredGraniteRampA270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampAFormType), typeof(MortaredGraniteItem))]
    public partial class MortaredGraniteRampABlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampA90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampA180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampA270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredGraniteRampBBlock), typeof(MortaredGraniteRampB90Block), typeof(MortaredGraniteRampB180Block), typeof(MortaredGraniteRampB270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampBFormType), typeof(MortaredGraniteItem))]
    public partial class MortaredGraniteRampBBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampB90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampB180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampB270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredGraniteRampCBlock), typeof(MortaredGraniteRampC90Block), typeof(MortaredGraniteRampC180Block), typeof(MortaredGraniteRampC270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampCFormType), typeof(MortaredGraniteItem))]
    public partial class MortaredGraniteRampCBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampC90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampC180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampC270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredGraniteRampDBlock), typeof(MortaredGraniteRampD90Block), typeof(MortaredGraniteRampD180Block), typeof(MortaredGraniteRampD270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampDFormType), typeof(MortaredGraniteItem))]
    public partial class MortaredGraniteRampDBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampD90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampD180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampD270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredGraniteRampEdgeBlock), typeof(MortaredGraniteRampEdge90Block), typeof(MortaredGraniteRampEdge180Block), typeof(MortaredGraniteRampEdge270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampEdgeFormType), typeof(MortaredGraniteItem))]
    public partial class MortaredGraniteRampEdgeBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampEdge90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampEdge180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredGraniteRampEdge270Block : Block
    { }
    
    
    
    [RotatedVariants(typeof(MortaredLimestoneRampABlock), typeof(MortaredLimestoneRampA90Block), typeof(MortaredLimestoneRampA180Block), typeof(MortaredLimestoneRampA270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampAFormType), typeof(MortaredLimestoneItem))]
    public partial class MortaredLimestoneRampABlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampA90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampA180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampA270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredLimestoneRampBBlock), typeof(MortaredLimestoneRampB90Block), typeof(MortaredLimestoneRampB180Block), typeof(MortaredLimestoneRampB270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampBFormType), typeof(MortaredLimestoneItem))]
    public partial class MortaredLimestoneRampBBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampB90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampB180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampB270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredLimestoneRampCBlock), typeof(MortaredLimestoneRampC90Block), typeof(MortaredLimestoneRampC180Block), typeof(MortaredLimestoneRampC270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampCFormType), typeof(MortaredLimestoneItem))]
    public partial class MortaredLimestoneRampCBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampC90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampC180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampC270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredLimestoneRampDBlock), typeof(MortaredLimestoneRampD90Block), typeof(MortaredLimestoneRampD180Block), typeof(MortaredLimestoneRampD270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampDFormType), typeof(MortaredLimestoneItem))]
    public partial class MortaredLimestoneRampDBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampD90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampD180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampD270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredLimestoneRampEdgeBlock), typeof(MortaredLimestoneRampEdge90Block), typeof(MortaredLimestoneRampEdge180Block), typeof(MortaredLimestoneRampEdge270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampEdgeFormType), typeof(MortaredLimestoneItem))]
    public partial class MortaredLimestoneRampEdgeBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampEdge90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampEdge180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredLimestoneRampEdge270Block : Block
    { }
    
    
    
    
    [RotatedVariants(typeof(MortaredStoneRampABlock), typeof(MortaredStoneRampA90Block), typeof(MortaredStoneRampA180Block), typeof(MortaredStoneRampA270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampAFormType), typeof(MortaredStoneItem))]
    public partial class MortaredStoneRampABlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampA90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampA180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampA270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredStoneRampBBlock), typeof(MortaredStoneRampB90Block), typeof(MortaredStoneRampB180Block), typeof(MortaredStoneRampB270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampBFormType), typeof(MortaredStoneItem))]
    public partial class MortaredStoneRampBBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampB90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampB180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampB270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredStoneRampCBlock), typeof(MortaredStoneRampC90Block), typeof(MortaredStoneRampC180Block), typeof(MortaredStoneRampC270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampCFormType), typeof(MortaredStoneItem))]
    public partial class MortaredStoneRampCBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampC90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampC180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampC270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredStoneRampDBlock), typeof(MortaredStoneRampD90Block), typeof(MortaredStoneRampD180Block), typeof(MortaredStoneRampD270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampDFormType), typeof(MortaredStoneItem))]
    public partial class MortaredStoneRampDBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampD90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampD180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampD270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredStoneRampEdgeBlock), typeof(MortaredStoneRampEdge90Block), typeof(MortaredStoneRampEdge180Block), typeof(MortaredStoneRampEdge270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampEdgeFormType), typeof(MortaredStoneItem))]
    public partial class MortaredStoneRampEdgeBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampEdge90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampEdge180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredStoneRampEdge270Block : Block
    { }
    
    
    
    
    [RotatedVariants(typeof(MortaredSandstoneRampABlock), typeof(MortaredSandstoneRampA90Block), typeof(MortaredSandstoneRampA180Block), typeof(MortaredSandstoneRampA270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampAFormType), typeof(MortaredSandstoneItem))]
    public partial class MortaredSandstoneRampABlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampA90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampA180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampA270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredSandstoneRampBBlock), typeof(MortaredSandstoneRampB90Block), typeof(MortaredSandstoneRampB180Block), typeof(MortaredSandstoneRampB270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampBFormType), typeof(MortaredSandstoneItem))]
    public partial class MortaredSandstoneRampBBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampB90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampB180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampB270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredSandstoneRampCBlock), typeof(MortaredSandstoneRampC90Block), typeof(MortaredSandstoneRampC180Block), typeof(MortaredSandstoneRampC270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampCFormType), typeof(MortaredSandstoneItem))]
    public partial class MortaredSandstoneRampCBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampC90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampC180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampC270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredSandstoneRampDBlock), typeof(MortaredSandstoneRampD90Block), typeof(MortaredSandstoneRampD180Block), typeof(MortaredSandstoneRampD270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampDFormType), typeof(MortaredSandstoneItem))]
    public partial class MortaredSandstoneRampDBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampD90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampD180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampD270Block : Block
    { }
    
    [RotatedVariants(typeof(MortaredSandstoneRampEdgeBlock), typeof(MortaredSandstoneRampEdge90Block), typeof(MortaredSandstoneRampEdge180Block), typeof(MortaredSandstoneRampEdge270Block))]
    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    [IsForm(typeof(RampEdgeFormType), typeof(MortaredSandstoneItem))]
    public partial class MortaredSandstoneRampEdgeBlock : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampEdge90Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampEdge180Block : Block
    { }

    [Serialized]
    [Wall, Constructed, Solid, BuildRoomMaterialOption]
    [BlockTier(1)]
    public partial class MortaredSandstoneRampEdge270Block : Block
    { }
}
